<back to all web services

ThreadUpdateRequest

The following routes are available for this service:
PUT/RestApi/comments-api/threads
import java.math.*
import java.util.*
import net.servicestack.client.*


open class ThreadUpdateRequest
{
    var Key:String? = null
    var IsClosed:Boolean? = null
}

open class ThreadResponse
{
    var Key:String? = null
    var Type:String? = null
    var CommentsCount:Int? = null
    var Title:String? = null
    var Language:String? = null
    var IsClosed:Boolean? = null
    var GroupKey:String? = null
    var ItemUrl:String? = null
    var DataSource:String? = null
    var AverageRating:BigDecimal? = null
}

Kotlin ThreadUpdateRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /RestApi/comments-api/threads HTTP/1.1 
Host: www.asg.com.au 
Accept: application/xml
Content-Type: application/xml
Content-Length: length

<ThreadUpdateRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Services.Comments.DTO">
  <IsClosed>false</IsClosed>
  <Key>String</Key>
</ThreadUpdateRequest>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<ThreadResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Services.Comments.DTO">
  <AverageRating>0</AverageRating>
  <CommentsCount>0</CommentsCount>
  <DataSource>String</DataSource>
  <GroupKey>String</GroupKey>
  <IsClosed>false</IsClosed>
  <ItemUrl>String</ItemUrl>
  <Key>String</Key>
  <Language>String</Language>
  <Title>String</Title>
  <Type>String</Type>
</ThreadResponse>